---
title: About the JavaScript reference
slug: Web/JavaScript/Reference/About
tags:
  - Guide
  - JavaScript
---
<div>{{JsSidebar}}</div>

<p>The JavaScript reference serves as a repository of facts about the JavaScript language. The entire language is described here in detail. As you write JavaScript code, you'll refer to these pages often (thus the title "JavaScript reference"). If you're learning JavaScript, or need help understanding some of its capabilities or features, check out the <a href="/en-US/docs/Web/JavaScript/Guide">JavaScript guide</a>.</p>

<p>The JavaScript language is intended to be used within some larger environment, be it a browser, server-side scripts, or similar. For the most part, this reference attempts to be environment-agnostic and does not target a web browser environment.</p>

<h2 id="Where_to_find_JavaScript_information">Where to find JavaScript information</h2>

<p>JavaScript documentation of core language features (pure <a href="/en-US/docs/Web/JavaScript/Language_Resources">ECMAScript</a>, for the most part) includes the following:</p>

<ul>
 <li>The <a href="/en-US/docs/Web/JavaScript/Guide">JavaScript guide</a></li>
 <li>The <a href="/en-US/docs/Web/JavaScript/Reference">JavaScript reference</a></li>
</ul>

<p>If you are new to JavaScript, start with the <a href="/en-US/docs/Web/JavaScript/Guide">guide</a>. Once you have a firm grasp of the fundamentals, you can use the <a href="/en-US/docs/Web/JavaScript/Reference">reference</a> to get more details on individual objects and language constructs.</p>

<h2 id="Structure_of_the_reference">Structure of the reference</h2>

<p>In the JavaScript reference you can find the following chapters:</p>

<dl>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects">Standard built-in objects</a></dt>
 <dd>This chapter documents all the JavaScript standard built-in objects, along with their methods and properties.</dd>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Statements">Statements and declarations</a></dt>
 <dd>JavaScript applications consist of statements with an appropriate syntax. A single statement may span multiple lines. Multiple statements may occur on a single line if each statement is separated by a semicolon. This isn't a keyword, but a group of keywords.</dd>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Operators">Expressions and operators</a></dt>
 <dd>This chapter documents all the JavaScript language operators, expressions and keywords.</dd>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Functions">Functions</a></dt>
 <dd>Chapter about JavaScript functions.</dd>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Classes">Classes</a></dt>
 <dd>Chapter about JavaScript classes introduced in ECMAScript 2015.</dd>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Errors">Errors</a></dt>
 <dd>Chapter about specific errors, exceptions and warnings thrown by JavaScript.</dd>
 <dt><a href="/en-US/docs/Web/JavaScript/New_in_JavaScript">New in JavaScript</a></dt>
 <dd>Chapter about JavaScript version history.</dd>
</dl>

<h3 id="More_reference_pages">More reference pages</h3>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Deprecated_and_obsolete_features">Deprecated and obsolete features</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Lexical_grammar">Lexical grammar</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Data_structures">Data types and data structures</a></li>
</ul>
